package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.bo.CockpitActivityQueryBo;
import com.ruoyi.system.domain.vo.ZkActivityCountVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ZkActivityInfoCountMapper {

    Long selectActivityWithContentCount(@Param("queryBo") CockpitActivityQueryBo queryBo);

    Long selectActivityAttendanceAvg(@Param("queryBo") CockpitActivityQueryBo queryBo);

    Long selectActivityAttendanceAvgByTypeList(@Param("queryBo") CockpitActivityQueryBo queryBo);

    Long selectActivityLeaveAvg(@Param("queryBo") CockpitActivityQueryBo queryBo);

    List<ZkActivityCountVo> selectSpecialActivityStatus(@Param("queryBo") CockpitActivityQueryBo queryBo);

    Long selectActivityDuration(@Param("queryBo") CockpitActivityQueryBo queryBo);

    List<ZkActivityCountVo> selectActivityEvaluate(@Param("queryBo") CockpitActivityQueryBo queryBo);

    Long selectActivityObjUserUnCount(@Param("queryBo") CockpitActivityQueryBo queryBo);
}
